MindWrtParserInternal::ListProperties Struct Reference

Internal: the list properties of a MindWrtParser. More...

## Public Member Functions

| ListProperties ()
| constructor
void | updateHeadingList ()
| updates the heading list
MWAWListLevel | getLevel (int level) const
| returns a list level

## Public Attributes

int | m_startListIndex
| the first list index
int | m_headingStyle
| the heading labels style
bool | m_headingFullSubLevels
| true if heading labels show all sub level
std::vector< MWAWListLevel > | m_headingListLevels
| the heading list
int | m_listLevelsRepeatPos
| the position used to repeat level
bool | m_showFirstLevel
| true if we show the level 1 label
bool | m_useHeadingStyle
| true if we need to use heading style

## Detailed Description

Internal: the list properties of a MindWrtParser.

## Constructor & Destructor Documentation

## ListProperties()

MindWrtParserInternal::ListProperties::ListProperties | ( |  | ) |

inline

constructor

## Member Function Documentation

## getLevel()

MWAWListLevel MindWrtParserInternal::ListProperties::getLevel | ( | int | level | ) | const

returns a list level

Referenced by MindWrtParserInternal::ZoneInfo::updateListId().

## updateHeadingList()

void MindWrtParserInternal::ListProperties::updateHeadingList | ( |  | ) |

updates the heading list

## Member Data Documentation

## m_headingFullSubLevels

bool MindWrtParserInternal::ListProperties::m_headingFullSubLevels

true if heading labels show all sub level

Referenced by getLevel(), and ListProperties().

## m_headingListLevels

std::vector<MWAWListLevel> MindWrtParserInternal::ListProperties::m_headingListLevels

the heading list

Referenced by getLevel(), ListProperties(), and updateHeadingList().

## m_headingStyle

int MindWrtParserInternal::ListProperties::m_headingStyle

the heading labels style

Referenced by ListProperties(), updateHeadingList(), and MindWrtParserInternal::ZoneInfo::updateListId().

## m_listLevelsRepeatPos

int MindWrtParserInternal::ListProperties::m_listLevelsRepeatPos

the position used to repeat level

Referenced by ListProperties(), and updateHeadingList().

## m_showFirstLevel

bool MindWrtParserInternal::ListProperties::m_showFirstLevel

true if we show the level 1 label

Referenced by getLevel(), ListProperties(), and MindWrtParserInternal::ZoneInfo::updateListId().

## m_startListIndex

int MindWrtParserInternal::ListProperties::m_startListIndex

the first list index

Referenced by ListProperties(), and MindWrtParserInternal::ZoneInfo::updateListId().

## m_useHeadingStyle

bool MindWrtParserInternal::ListProperties::m_useHeadingStyle

true if we need to use heading style

Referenced by ListProperties(), and MindWrtParserInternal::ZoneInfo::updateListId().

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx